Index: palm/trunk/SOURCE/surface_data_output_mod.f90
===================================================================
--- palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 3735)
+++ palm/trunk/SOURCE/surface_data_output_mod.f90	(revision 3736)
@@ -663,16 +669,16 @@
             surfaces%polygons(3,npg)   = point_index(k,j,i+1)
             surfaces%polygons(4,npg)   = point_index(k,j+1,i+1)
-            surfaces%polygons(5,npg)   = point_index(k,j+1,i) 
+            surfaces%polygons(5,npg)   = point_index(k,j+1,i)
          ENDDO
-     
+
          DO  m = 1, surf_usm_h%ns
             i = surf_usm_h%i(m) + surf_usm_h%ioff
             j = surf_usm_h%j(m) + surf_usm_h%joff
             k = surf_usm_h%k(m) + surf_usm_h%koff
-     
+
             IF ( point_index(k,j,i) < 0 )  THEN
-               surfaces%npoints   = surfaces%npoints + 1    
+               surfaces%npoints   = surfaces%npoints + 1
                point_index(k,j,i) = point_index_count
-               point_index_count  = point_index_count + 1 
+               point_index_count  = point_index_count + 1
                surfaces%points(1,surfaces%npoints) = ( i - 0.5_wp ) * dx
                surfaces%points(2,surfaces%npoints) = ( j - 0.5_wp ) * dy
@@ -680,7 +686,7 @@
             ENDIF
             IF ( point_index(k,j,i+1) < 0 )  THEN
-               surfaces%npoints     = surfaces%npoints + 1    
+               surfaces%npoints     = surfaces%npoints + 1
                point_index(k,j,i+1) = point_index_count
-               point_index_count    = point_index_count + 1 
+               point_index_count    = point_index_count + 1
                surfaces%points(1,surfaces%npoints) = ( i + 1 - 0.5_wp ) * dx
                surfaces%points(2,surfaces%npoints) = ( j     - 0.5_wp ) * dy
@@ -688,7 +694,7 @@
             ENDIF
             IF ( point_index(k,j+1,i+1) < 0 )  THEN
-               surfaces%npoints       = surfaces%npoints + 1    
+               surfaces%npoints       = surfaces%npoints + 1
                point_index(k,j+1,i+1) = point_index_count
-               point_index_count      = point_index_count + 1 
+               point_index_count      = point_index_count + 1
                surfaces%points(1,surfaces%npoints) = ( i + 1 - 0.5_wp ) * dx
                surfaces%points(2,surfaces%npoints) = ( j + 1 - 0.5_wp ) * dy
@@ -696,12 +702,12 @@
             ENDIF
             IF ( point_index(k,j+1,i) < 0 )  THEN
-               surfaces%npoints     = surfaces%npoints + 1    
+               surfaces%npoints     = surfaces%npoints + 1
                point_index(k,j+1,i) = point_index_count
-               point_index_count    = point_index_count + 1 
+               point_index_count    = point_index_count + 1
                surfaces%points(1,surfaces%npoints) = ( i     - 0.5_wp ) * dx
                surfaces%points(2,surfaces%npoints) = ( j + 1 - 0.5_wp ) * dy
                surfaces%points(3,surfaces%npoints) = zw(k)
             ENDIF
-            
+
             npg                        = npg + 1
             surfaces%polygons(1,npg)   = 4
@@ -709,32 +715,33 @@
             surfaces%polygons(3,npg)   = point_index(k,j,i+1)
             surfaces%polygons(4,npg)   = point_index(k,j+1,i+1)
-            surfaces%polygons(5,npg)   = point_index(k,j+1,i)    
+            surfaces%polygons(5,npg)   = point_index(k,j+1,i)
          ENDDO
 
          DO  l = 0, 3
             DO  m = 1, surf_def_v(l)%ns
-!        
-!--            Determine the indices of the respective grid cell inside the topography.
-!--            Please note, j-index for north-facing surfaces ( l==0 ) is 
-!--            identical to the reference j-index outside the grid box. 
+!
+!--            Determine the indices of the respective grid cell inside the
+!--            topography.
+!--            NOTE, j-index for north-facing surfaces ( l==0 ) is
+!--            identical to the reference j-index outside the grid box.
 !--            Equivalent for east-facing surfaces and i-index.
                i = surf_def_v(l)%i(m) + MERGE( surf_def_v(l)%ioff, 0, l == 3 )
                j = surf_def_v(l)%j(m) + MERGE( surf_def_v(l)%joff, 0, l == 1 )
                k = surf_def_v(l)%k(m) + surf_def_v(l)%koff
-!        
+!
 !--            Lower left /front vertex
                IF ( point_index(k,j,i) < 0 )  THEN
-                  surfaces%npoints   = surfaces%npoints + 1    
+                  surfaces%npoints   = surfaces%npoints + 1
                   point_index(k,j,i) = point_index_count
-                  point_index_count  = point_index_count + 1 
+                  point_index_count  = point_index_count + 1
                   surfaces%points(1,surfaces%npoints) = ( i - 0.5_wp ) * dx
                   surfaces%points(2,surfaces%npoints) = ( j - 0.5_wp ) * dy
                   surfaces%points(3,surfaces%npoints) = zw(k-1)
-               ENDIF 
-!        
+               ENDIF
+!
 !--            Upper / lower right index for north- and south-facing surfaces
                IF ( l == 0  .OR.  l == 1 )  THEN
                   IF ( point_index(k,j,i+1) < 0 )  THEN
-                     surfaces%npoints     = surfaces%npoints + 1    
+                     surfaces%npoints     = surfaces%npoints + 1
                      point_index(k,j,i+1) = point_index_count
                      point_index_count    = point_index_count + 1
@@ -742,7 +749,7 @@
                      surfaces%points(2,surfaces%npoints) = ( j     - 0.5_wp ) * dy
                      surfaces%points(3,surfaces%npoints) = zw(k-1)
-                  ENDIF 
+                  ENDIF
                   IF ( point_index(k+1,j,i+1) < 0 )  THEN
-                     surfaces%npoints       = surfaces%npoints + 1    
+                     surfaces%npoints       = surfaces%npoints + 1
                      point_index(k+1,j,i+1) = point_index_count
                      point_index_count      = point_index_count + 1
@@ -751,9 +758,9 @@
                      surfaces%points(3,surfaces%npoints) = zw(k)
                   ENDIF
-!        
+!
 !--            Upper / lower front index for east- and west-facing surfaces
                ELSEIF ( l == 2  .OR.  l == 3 )  THEN
                   IF ( point_index(k,j+1,i) < 0 )  THEN
-                     surfaces%npoints     = surfaces%npoints + 1    
+                     surfaces%npoints     = surfaces%npoints + 1
                      point_index(k,j+1,i) = point_index_count
                      point_index_count    = point_index_count + 1
@@ -761,7 +768,7 @@
                      surfaces%points(2,surfaces%npoints) = ( j + 1 - 0.5_wp ) * dy
                      surfaces%points(3,surfaces%npoints) = zw(k-1)
-                  ENDIF 
+                  ENDIF
                   IF ( point_index(k+1,j+1,i) < 0 )  THEN
-                     surfaces%npoints       = surfaces%npoints + 1    
+                     surfaces%npoints       = surfaces%npoints + 1
                      point_index(k+1,j+1,i) = point_index_count
                      point_index_count      = point_index_count + 1
@@ -771,8 +778,8 @@
                   ENDIF
                ENDIF
-!        
+!
 !--            Upper left / front vertex
                IF ( point_index(k+1,j,i) < 0 )  THEN
-                  surfaces%npoints     = surfaces%npoints + 1    
+                  surfaces%npoints     = surfaces%npoints + 1
                   point_index(k+1,j,i) = point_index_count
                   point_index_count    = point_index_count + 1
@@ -781,6 +788,6 @@
                   surfaces%points(3,surfaces%npoints) = zw(k)
                ENDIF
-               
-               npg = npg + 1            
+
+               npg = npg + 1
                IF ( l == 0  .OR.  l == 1 )  THEN
                   surfaces%polygons(1,npg)   = 4
@@ -788,5 +795,5 @@
                   surfaces%polygons(3,npg)   = point_index(k,j,i+1)
                   surfaces%polygons(4,npg)   = point_index(k+1,j,i+1)
-                  surfaces%polygons(5,npg)   = point_index(k+1,j,i)  
+                  surfaces%polygons(5,npg)   = point_index(k+1,j,i)
                ELSE
                   surfaces%polygons(1,npg)   = 4
@@ -796,15 +803,15 @@
                   surfaces%polygons(5,npg)   = point_index(k+1,j,i)
                ENDIF
-               
+
             ENDDO
-         
+
             DO  m = 1, surf_lsm_v(l)%ns
                i = surf_lsm_v(l)%i(m) + MERGE( surf_lsm_v(l)%ioff, 0, l == 3 )
                j = surf_lsm_v(l)%j(m) + MERGE( surf_lsm_v(l)%joff, 0, l == 1 )
                k = surf_lsm_v(l)%k(m) + surf_lsm_v(l)%koff
-!        
+!
 !--            Lower left /front vertex
                IF ( point_index(k,j,i) < 0 )  THEN
-                  surfaces%npoints   = surfaces%npoints + 1    
+                  surfaces%npoints   = surfaces%npoints + 1
                   point_index(k,j,i) = point_index_count
                   point_index_count  = point_index_count + 1
@@ -812,10 +819,10 @@
                   surfaces%points(2,surfaces%npoints) = ( j - 0.5_wp ) * dy
                   surfaces%points(3,surfaces%npoints) = zw(k-1)
-               ENDIF 
-!        
+               ENDIF
+!
 !--            Upper / lower right index for north- and south-facing surfaces
                IF ( l == 0  .OR.  l == 1 )  THEN
                   IF ( point_index(k,j,i+1) < 0 )  THEN
-                     surfaces%npoints     = surfaces%npoints + 1    
+                     surfaces%npoints     = surfaces%npoints + 1
                      point_index(k,j,i+1) = point_index_count
                      point_index_count    = point_index_count + 1
@@ -823,7 +830,7 @@
                      surfaces%points(2,surfaces%npoints) = ( j     - 0.5_wp ) * dy
                      surfaces%points(3,surfaces%npoints) = zw(k-1)
-                  ENDIF 
+                  ENDIF
                   IF ( point_index(k+1,j,i+1) < 0 )  THEN
-                     surfaces%npoints       = surfaces%npoints + 1    
+                     surfaces%npoints       = surfaces%npoints + 1
                      point_index(k+1,j,i+1) = point_index_count
                      point_index_count      = point_index_count + 1
@@ -832,9 +839,9 @@
                      surfaces%points(3,surfaces%npoints) = zw(k)
                   ENDIF
-!        
+!
 !--            Upper / lower front index for east- and west-facing surfaces
                ELSEIF ( l == 2  .OR.  l == 3 )  THEN
                   IF ( point_index(k,j+1,i) < 0 )  THEN
-                     surfaces%npoints     = surfaces%npoints + 1    
+                     surfaces%npoints     = surfaces%npoints + 1
                      point_index(k,j+1,i) = point_index_count
                      point_index_count    = point_index_count + 1
@@ -842,7 +849,7 @@
                      surfaces%points(2,surfaces%npoints) = ( j + 1 - 0.5_wp ) * dy
                      surfaces%points(3,surfaces%npoints) = zw(k-1)
-                  ENDIF 
+                  ENDIF
                   IF ( point_index(k+1,j+1,i) < 0 )  THEN
-                     surfaces%npoints       = surfaces%npoints + 1    
+                     surfaces%npoints       = surfaces%npoints + 1
                      point_index(k+1,j+1,i) = point_index_count
                      point_index_count      = point_index_count + 1
@@ -852,8 +859,8 @@
                   ENDIF
                ENDIF
-!        
+!
 !--            Upper left / front vertex
                IF ( point_index(k+1,j,i) < 0 )  THEN
-                  surfaces%npoints     = surfaces%npoints + 1    
+                  surfaces%npoints     = surfaces%npoints + 1
                   point_index(k+1,j,i) = point_index_count
                   point_index_count    = point_index_count + 1
@@ -862,6 +869,6 @@
                   surfaces%points(3,surfaces%npoints) = zw(k)
                ENDIF
-               
-               npg = npg + 1            
+
+               npg = npg + 1
                IF ( l == 0  .OR.  l == 1 )  THEN
                   surfaces%polygons(1,npg)   = 4
@@ -869,5 +876,5 @@
                   surfaces%polygons(3,npg)   = point_index(k,j,i+1)
                   surfaces%polygons(4,npg)   = point_index(k+1,j,i+1)
-                  surfaces%polygons(5,npg)   = point_index(k+1,j,i)  
+                  surfaces%polygons(5,npg)   = point_index(k+1,j,i)
                ELSE
                   surfaces%polygons(1,npg)   = 4
@@ -882,8 +889,8 @@
                j = surf_usm_v(l)%j(m) + MERGE( surf_usm_v(l)%joff, 0, l == 1 )
                k = surf_usm_v(l)%k(m) + surf_usm_v(l)%koff
-!        
+!
 !--            Lower left /front vertex
                IF ( point_index(k,j,i) < 0 )  THEN
-                  surfaces%npoints   = surfaces%npoints + 1    
+                  surfaces%npoints   = surfaces%npoints + 1
                   point_index(k,j,i) = point_index_count
                   point_index_count  = point_index_count + 1
@@ -891,10 +898,10 @@
                   surfaces%points(2,surfaces%npoints) = ( j - 0.5_wp ) * dy
                   surfaces%points(3,surfaces%npoints) = zw(k-1)
-               ENDIF 
-!        
+               ENDIF
+!
 !--            Upper / lower right index for north- and south-facing surfaces
                IF ( l == 0  .OR.  l == 1 )  THEN
                   IF ( point_index(k,j,i+1) < 0 )  THEN
-                     surfaces%npoints     = surfaces%npoints + 1    
+                     surfaces%npoints     = surfaces%npoints + 1
                      point_index(k,j,i+1) = point_index_count
                      point_index_count    = point_index_count + 1
@@ -902,7 +909,7 @@
                      surfaces%points(2,surfaces%npoints) = ( j     - 0.5_wp ) * dy
                      surfaces%points(3,surfaces%npoints) = zw(k-1)
-                  ENDIF 
+                  ENDIF
                   IF ( point_index(k+1,j,i+1) < 0 )  THEN
-                     surfaces%npoints       = surfaces%npoints + 1    
+                     surfaces%npoints       = surfaces%npoints + 1
                      point_index(k+1,j,i+1) = point_index_count
                      point_index_count      = point_index_count + 1
@@ -911,9 +918,9 @@
                      surfaces%points(3,surfaces%npoints) = zw(k)
                   ENDIF
-!        
+!
 !--            Upper / lower front index for east- and west-facing surfaces
                ELSEIF ( l == 2  .OR.  l == 3 )  THEN
                   IF ( point_index(k,j+1,i) < 0 )  THEN
-                     surfaces%npoints     = surfaces%npoints + 1    
+                     surfaces%npoints     = surfaces%npoints + 1
                      point_index(k,j+1,i) = point_index_count
                      point_index_count    = point_index_count + 1
@@ -921,7 +928,7 @@
                      surfaces%points(2,surfaces%npoints) = ( j + 1 - 0.5_wp ) * dy
                      surfaces%points(3,surfaces%npoints) = zw(k-1)
-                  ENDIF 
+                  ENDIF
                   IF ( point_index(k+1,j+1,i) < 0 )  THEN
-                     surfaces%npoints       = surfaces%npoints + 1    
+                     surfaces%npoints       = surfaces%npoints + 1
                      point_index(k+1,j+1,i) = point_index_count
                      point_index_count      = point_index_count + 1
@@ -931,8 +938,8 @@
                   ENDIF
                ENDIF
-!        
+!
 !--            Upper left / front vertex
                IF ( point_index(k+1,j,i) < 0 )  THEN
-                  surfaces%npoints     = surfaces%npoints + 1    
+                  surfaces%npoints     = surfaces%npoints + 1
                   point_index(k+1,j,i) = point_index_count
                   point_index_count    = point_index_count + 1
@@ -941,6 +948,6 @@
                   surfaces%points(3,surfaces%npoints) = zw(k)
                ENDIF
-               
-               npg = npg + 1            
+
+               npg = npg + 1
                IF ( l == 0  .OR.  l == 1 )  THEN
                   surfaces%polygons(1,npg)   = 4
@@ -948,5 +955,5 @@
                   surfaces%polygons(3,npg)   = point_index(k,j,i+1)
                   surfaces%polygons(4,npg)   = point_index(k+1,j,i+1)
-                  surfaces%polygons(5,npg)   = point_index(k+1,j,i)  
+                  surfaces%polygons(5,npg)   = point_index(k+1,j,i)
                ELSE
                   surfaces%polygons(1,npg)   = 4
@@ -957,12 +964,12 @@
                ENDIF
             ENDDO
-         
+
          ENDDO
-!        
+!
 !--      Deallocate temporary dummy variable
          DEALLOCATE ( point_index )
 !
 !--      Sum-up total number of vertices on domain. This
-!--      will be needed for post-processing. 
+!--      will be needed for post-processing.
          surfaces%npoints_total = 0
 #if defined( __parallel )
@@ -974,7 +981,7 @@
        ENDIF
 !
-!--    If output to netcdf is enabled, set-up the coordinate arrays that 
-!--    unambiguously describe the position and orientation of each surface 
-!--    element. 
+!--    If output to netcdf is enabled, set-up the coordinate arrays that
+!--    unambiguously describe the position and orientation of each surface
+!--    element.
        IF ( to_netcdf )  THEN
 !
@@ -990,5 +997,5 @@
 !
 !--       Gather the number of surface on each processor, in order to number
-!--       the surface elements in ascending order with respect to the total 
+!--       the surface elements in ascending order with respect to the total
 !--       number of surfaces in the domain.
 #if defined( __parallel )
@@ -999,5 +1006,5 @@
 #endif
 !
-!--       First, however, determine the offset where couting of the surfaces 
+!--       First, however, determine the offset where couting of the surfaces
 !--       should start (the sum of surfaces on all PE's with lower MPI rank).
           i           = 0
@@ -1007,7 +1014,7 @@
              i           = i + 1
           ENDDO
-!       
-!--       Set coordinate arrays. For horizontal surfaces, azimuth 
-!--       angles are not defined (fill value). Zenith angle is 0 (180) for 
+!
+!--       Set coordinate arrays. For horizontal surfaces, azimuth
+!--       angles are not defined (fill value). Zenith angle is 0 (180) for
 !--       upward (downward)-facing surfaces.
           i  = start_count
@@ -1053,8 +1060,8 @@
              mm                   = mm + 1
           ENDDO
-!       
-!--       For vertical surfaces, zenith angles are not defined (fill value).  
-!--       Azimuth angle: eastward (0), westward (180), northward (270), 
-!--       southward (90). 
+!
+!--       For vertical surfaces, zenith angles are not defined (fill value).
+!--       Azimuth angle: eastward (0), westward (180), northward (270),
+!--       southward (90).
           DO  l = 0, 3
              IF ( l == 0 )  THEN
@@ -1075,5 +1082,5 @@
                 off_y =  0.0_wp
              ENDIF
-                
+
              DO  m = 1, surf_def_v(l)%ns
                 surfaces%s(mm)       = i
@@ -1107,12 +1114,12 @@
              ENDDO
           ENDDO
-!       
-!--       Finally, define UTM coordinates, which are the x/y-coordinates 
+!
+!--       Finally, define UTM coordinates, which are the x/y-coordinates
 !--       plus the origin (lower-left coordinate of the model domain).
-          surfaces%es_utm = surfaces%xs + init_model%origin_x 
-          surfaces%ns_utm = surfaces%ys + init_model%origin_y 
-!
-!--       Initialize NetCDF data output. Please note, local start position for 
-!--       the surface elements in the NetCDF file is surfaces%s(1), while 
+          surfaces%es_utm = surfaces%xs + init_model%origin_x
+          surfaces%ns_utm = surfaces%ys + init_model%origin_y
+!
+!--       Initialize NetCDF data output. Please note, local start position for
+!--       the surface elements in the NetCDF file is surfaces%s(1), while
 !--       the number of surfaces on the subdomain is given by surfaces%ns.
 #if defined( __netcdf4_parallel )
@@ -1120,15 +1127,17 @@
 !
 !--       Calculate number of time steps to be output
-          ntdim_surf(0) = dosurf_time_count(0) + CEILING(                            &
-                        ( end_time - MAX(                                            &
-                            MERGE(skip_time_dosurf, skip_time_dosurf + spinup_time,  &
-                                  data_output_during_spinup ),                       &
-                            simulated_time_at_begin )                                &
+          ntdim_surf(0) = dosurf_time_count(0) + CEILING(                      &
+                        ( end_time - MAX(                                      &
+                            MERGE( skip_time_dosurf,                           &
+                                   skip_time_dosurf + spinup_time,             &
+                                   data_output_during_spinup ),                &
+                            simulated_time_at_begin )                          &
                         ) / dt_dosurf )
 
           ntdim_surf(1) = dosurf_time_count(1) + CEILING(                      &
                         ( end_time - MAX(                                      &
-                            MERGE(   skip_time_dosurf_av, skip_time_dosurf_av  &
-                                  + spinup_time, data_output_during_spinup ),  &
+                            MERGE( skip_time_dosurf_av,                        &
+                                   skip_time_dosurf_av + spinup_time,          &
+                                   data_output_during_spinup ),                &
                             simulated_time_at_begin )                          &
                         ) / dt_dosurf_av )
@@ -1152,15 +1161,24 @@
                                     IOR( NF90_NOCLOBBER,                       &
                                     IOR( NF90_NETCDF4, NF90_MPIIO ) ),         &
-                                    id_set_surf(av), COMM = comm2d, INFO = MPI_INFO_NULL )
+                                    id_set_surf(av),                           &
+                                    COMM = comm2d, INFO = MPI_INFO_NULL )
              CALL netcdf_handle_error( 'surface_data_output_mod', 5550 )
 
              !- Write some global attributes
              IF ( av == 0 )  THEN
-                CALL netcdf_create_global_atts( id_set_surf(av), 'surface-data', TRIM( run_description_header ), 5551 )
+                CALL netcdf_create_global_atts( id_set_surf(av),               &
+                                                'surface-data',                &
+                                                TRIM( run_description_header ),&
+                                                5551 )
                 time_average_text = ' '
              ELSE
-                CALL netcdf_create_global_atts( id_set_surf(av), 'surface-data_av', TRIM( run_description_header ), 5552 )
-                WRITE ( time_average_text,'(F7.1,'' s avg'')' )  averaging_interval_surf
-                nc_stat = NF90_PUT_ATT( id_set_surf(av), NF90_GLOBAL, 'time_avg',  &
+                CALL netcdf_create_global_atts( id_set_surf(av),               &
+                                                'surface-data_av',             &
+                                                TRIM( run_description_header ),&
+                                                5552 )
+                WRITE ( time_average_text,'(F7.1,'' s avg'')' )  &
+                   averaging_interval_surf
+                nc_stat = NF90_PUT_ATT( id_set_surf(av), NF90_GLOBAL,          &
+                                        'time_avg',                            &
                                         TRIM( time_average_text ) )
                 CALL netcdf_handle_error( 'surface_data_output_mod', 5553 )
@@ -1170,15 +1188,22 @@
 !
 !--          Define time coordinate for surface data.
-!--          For parallel output the time dimension has to be limited (ntdim_surf),
-!--          otherwise the performance drops significantly.
+!--          For parallel output the time dimension has to be limited
+!--          (ntdim_surf), otherwise the performance drops significantly.
              CALL netcdf_create_dim( id_set_surf(av), 'time', ntdim_surf(av),  &
                                      id_dim_time_surf(av), 5554 )
 
-             CALL netcdf_create_var( id_set_surf(av), (/ id_dim_time_surf(av) /),    &
-                                     'time', NF90_DOUBLE, id_var_time_surf(av),      &
-                                     'seconds since '//TRIM(init_model%origin_time), &
+             CALL netcdf_create_var( id_set_surf(av),                          &
+                                     (/ id_dim_time_surf(av) /),               &
+                                     'time', NF90_DOUBLE,                      &
+                                     id_var_time_surf(av),                     &
+                                     'seconds since '//                        &
+                                     TRIM(init_model%origin_time),             &
                                      'time', 5555, 5555, 5555 )
-             CALL netcdf_create_att( id_set_surf(av), id_var_time_surf(av), 'standard_name', 'time', 5556)
-             CALL netcdf_create_att( id_set_surf(av), id_var_time_surf(av), 'axis', 'T', 5557)
+
+             CALL netcdf_create_att( id_set_surf(av), id_var_time_surf(av),    &
+                                     'standard_name', 'time', 5556)
+
+             CALL netcdf_create_att( id_set_surf(av), id_var_time_surf(av),    &
+                                     'axis', 'T', 5557)
 !
 !--          Define spatial dimensions and coordinates:
@@ -1188,29 +1213,56 @@
              CALL netcdf_create_var( id_set_surf(av), (/ id_dim_s_surf(av) /), &
                                      's', NF90_DOUBLE, id_var_s_surf(av),      &
-                                     '1', '', 5559, 5559, 5559 )
+                                     '1', 'number of surface element',         &
+                                     5559, 5559, 5559 )
 !
 !--          Define x coordinate
              CALL netcdf_create_var( id_set_surf(av), (/ id_dim_s_surf(av) /), &
                                      'xs', NF90_DOUBLE, id_var_xs_surf(av),    &
-                                     'meters', '', 5561, 5561, 5561 )
+                                     'meters',                                 &
+                                     'distance to origin in x-direction',      &
+                                     5561, 5561, 5561 )
 !
 !--           Define y coordinate
              CALL netcdf_create_var( id_set_surf(av), (/ id_dim_s_surf(av) /), &
                                      'ys', NF90_DOUBLE, id_var_ys_surf(av),    &
-                                     'meters', '', 5562, 5562, 5562 )
+                                     'meters',                                 &
+                                     'distance to origin in y-direction',      &
+                                     5562, 5562, 5562 )
 !
 !--          Define z coordinate
              CALL netcdf_create_var( id_set_surf(av), (/ id_dim_s_surf(av) /), &
                                      'zs', NF90_DOUBLE, id_var_zs_surf(av),    &
-                                     'meters', '', 5560, 5560, 5560 )
+                                     'meters', 'height', 5560, 5560, 5560 )
+             CALL netcdf_create_att( id_set_surf(av), id_var_zs_surf(av),      &
+                                     'standard_name', 'height', 5583 )
 
 !
 !--          Define UTM coordinates
-             CALL netcdf_create_var( id_set_surf(av), (/ id_dim_s_surf(av) /),    &
-                                     'Es_UTM', NF90_DOUBLE, id_var_etum_surf(av), &
+             CALL netcdf_create_var( id_set_surf(av), (/ id_dim_s_surf(av) /), &
+                                     'Es_UTM', NF90_DOUBLE,                    &
+                                     id_var_etum_surf(av),                     &
                                      'meters', '', 5563, 5563, 5563 )
-             CALL netcdf_create_var( id_set_surf(av), (/ id_dim_s_surf(av) /),    &
-                                     'Ns_UTM', NF90_DOUBLE, id_var_nutm_surf(av), &
+             CALL netcdf_create_var( id_set_surf(av), (/ id_dim_s_surf(av) /), &
+                                     'Ns_UTM', NF90_DOUBLE,                    &
+                                     id_var_nutm_surf(av),                     &
                                      'meters', '', 5564, 5564, 5564 )
+
+!
+!--          Define angles
+             CALL netcdf_create_var( id_set_surf(av), (/ id_dim_s_surf(av) /), &
+                                     'azimuth', NF90_DOUBLE,                   &
+                                     id_var_azimuth_surf(av),                  &
+                                     'degree', 'azimuth angle',                &
+                                     5577, 5578, 5579,                         &
+                                     fill = .TRUE. )
+             CALL netcdf_create_att( id_set_surf(av), id_var_azimuth_surf(av), &
+                                     'standard_name', 'surface_azimuth_angle', &
+                                     5584 )
+
+             CALL netcdf_create_var( id_set_surf(av), (/ id_dim_s_surf(av) /), &
+                                     'zenith', NF90_DOUBLE,                    &
+                                     id_var_zenith_surf(av),                   &
+                                     'degree', '', 5580, 5581, 5582,           &
+                                     fill = .TRUE. )
 !
 !--          Define the variables
@@ -1227,12 +1279,12 @@
 !
 !--                Set no fill for every variable to increase performance.
-                nc_stat = NF90_DEF_VAR_FILL( id_set_surf(av),     &
-                                             id_var_dosurf(av,i), &
+                nc_stat = NF90_DEF_VAR_FILL( id_set_surf(av),                  &
+                                             id_var_dosurf(av,i),              &
                                              1, 0 )
                 CALL netcdf_handle_error( 'surface_data_output_init', 5566 )
 !
 !--                Set collective io operations for parallel io
-                nc_stat = NF90_VAR_PAR_ACCESS( id_set_surf(av),     &
-                                               id_var_dosurf(av,i), &
+                nc_stat = NF90_VAR_PAR_ACCESS( id_set_surf(av),                &
+                                               id_var_dosurf(av,i),            &
                                                NF90_COLLECTIVE )
                 CALL netcdf_handle_error( 'surface_data_output_init', 5567 )
@@ -1250,6 +1302,6 @@
 
 !
-!--          Set general no fill, otherwise the performance drops significantly for
-!--          parallel output.
+!--          Set general no fill, otherwise the performance drops significantly
+!--          for parallel output.
              nc_stat = NF90_SET_FILL( id_set_surf(av), NF90_NOFILL, oldmode )
              CALL netcdf_handle_error( 'surface_data_output_init', 5569 )
@@ -1272,6 +1324,6 @@
                 ENDDO
 
-                nc_stat = NF90_PUT_VAR( id_set_surf(av), id_var_s_surf(av),  &
-                                        netcdf_data_1d, start = (/ 1 /),     &
+                nc_stat = NF90_PUT_VAR( id_set_surf(av), id_var_s_surf(av),    &
+                                        netcdf_data_1d, start = (/ 1 /),       &
                                         count = (/ surfaces%ns_total /) )
                 CALL netcdf_handle_error( 'surface_data_output_init', 5571 )
